#!/usr/bin/python

import gtk

class login (gtk.Window):
    """ Esta clase provee un widget para loguear
        Solicita el nombre y la clave de ingreso
        Al oprimir 'Ok', las variables publicas contienen la info:
        login.User
        login.Pass
        NOTE: El widget no se destruye al apretar 'Ok'!
    """
    
    def __init__(self):
	gtk.Window.__init__(self)			# Instanciar ventana principal
	self.connect("delete-event", self.finalizar)	# y conectar el evento de cierre
	
	tbl = gtk.Table()				# Tabla para organizar los widgets
	tbl.set_col_spacings(8)
	tbl.set_row_spacings(4)
	tbl.set_border_width(6)
	
	ulbl = gtk.Label("Usuario:")			# Etiqueta
	plbl = gtk.Label("Password:")			# Etiqueta
	
	tbl.attach(ulbl, 0, 1, 0, 1, gtk.FILL, gtk.FILL)	# Ubicar en la tabla
	tbl.attach(plbl, 0, 1, 1, 2, gtk.FILL, gtk.FILL)

	self.uentry = gtk.Entry()			# Campo de edicion
	self.pentry = gtk.Entry()			# Campo de edicion
	self.pentry.set_visibility(False)		# configurar como 'invisible'
	
	tbl.attach(self.uentry, 1, 2, 0, 1, gtk.FILL, gtk.FILL)
	tbl.attach(self.pentry, 1, 2, 1, 2, gtk.FILL, gtk.FILL)
	
	btn = gtk.Button("Ok")				# Boton de confirmacion
	btn.connect('clicked', self.ok_clicked)
	tbl.attach(btn, 1, 2, 2, 3)

	self.add(tbl)					# Ubicar la tabla en la ventana
	self.show_all()					# y mostrar ventana + hijos
	
    def ok_clicked(self, btn):				# Servicio al cliquear Ok
        self.User = self.uentry.get_text()
        self.Pass = self.pentry.get_text()
        self.hide()
	
    def finalizar(self, win, event):
	gtk.main_quit()

# Programa principal

loginw = login()	# Instanciar el nuevo widget para login,

gtk.main()		# e iniciar el lazo de atencion a los eventos
